package com.alarm;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.media.MediaPlayer;
import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Looper;
import android.preference.PreferenceManager;
import android.telephony.SmsMessage;
import android.util.Log;
import android.widget.Toast;
import com.facebook.react.modules.storage.ReactDatabaseSupplier;
import androidx.annotation.Nullable;
import androidx.core.app.NotificationCompat;

public class SMSForegroundService extends Service {

    private String CHANNEL_ID = "channel";
    private NotificationManager notifManager;






    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {

                SharedPreferences preferences = context.getSharedPreferences("dataStorage",  Context.MODE_PRIVATE);
                String devicesStr = preferences.getString("devices", null);

                if(!devicesStr.isEmpty()){


                    String[] devices = devicesStr.split(",");
                    final int[] id = {2};

                    id[0] = id[0] + 1;

                    Bundle bundle = intent.getExtras();
                    if (bundle != null) {
                        // get sms objects
                        Object[] pdus = (Object[]) bundle.get("pdus");
                        if (pdus.length == 0) {
                            return;
                        }
                        // large message might be broken into many
                        SmsMessage[] messages = new SmsMessage[pdus.length];
                        StringBuilder sb = new StringBuilder();
                        for (int i = 0; i < pdus.length; i++) {
                            messages[i] = SmsMessage.createFromPdu((byte[]) pdus[i]);
                            sb.append(messages[i].getMessageBody());
                        }
                        String sender = messages[0].getOriginatingAddress();
                        String message = sb.toString();
                        String Fdevice = findDevice(devices, sender);


                        if(!Fdevice.equals("notfound")){
                            simpleNotification(id[0], "یک هشدار جدید");

                        }





                        // prevent any other broadcast receivers from receiving broadcast
                        // abortBroadcast();
                    }
                }






        }
    };

    @Override
    public void onCreate() {

       // Toast.makeText(this, "سرویس ساخته شد", Toast.LENGTH_SHORT).show();



    }

    public String findDevice(String[] arr, String key){
        for(int i=0;i<arr.length;i++){

            String[] Device = arr[i].split(":");

            if(Device[1].equals(key)){
                return Device[0];
            }
        }
        return "notfound";
    }



    public void simpleNotification(int id, String text) {

        NotificationCompat.Builder notif2 = new NotificationCompat.Builder(this, CHANNEL_ID)
                .setSmallIcon(R.drawable.notif_icon)
                .setContentTitle("برنامه")
                .setContentText(text);

        Intent notificationIntent = new Intent(this, MainActivity.class);

        notificationIntent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP
                | Intent.FLAG_ACTIVITY_SINGLE_TOP);

        PendingIntent intent = PendingIntent.getActivity(this, 0,
                notificationIntent, 0);

        notif2.setContentIntent(intent);
        Notification notif = notif2.build();



        notifManager.notify(id,notif);

    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {



        try {
           // Toast.makeText(this, "سرویس استارت شد", Toast.LENGTH_SHORT).show();

            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {

                String offerChannelName = "Service Channel";
                String offerChannelDescription= "Music Channel";
                int offerChannelImportance = NotificationManager.IMPORTANCE_DEFAULT;

                NotificationChannel notifChannel = new NotificationChannel(CHANNEL_ID, offerChannelName, offerChannelImportance);
                notifChannel.setDescription(offerChannelDescription);
                notifManager = getSystemService(NotificationManager.class);
                notifManager.createNotificationChannel(notifChannel);

            }

            NotificationCompat.Builder sNotifBuilder = new NotificationCompat.Builder(this, CHANNEL_ID)
                    .setSmallIcon(R.drawable.notif_icon)
                    .setContentTitle("برنامه")
                    .setContentText(" الارم در حال اجراست");

            Notification servNotification = sNotifBuilder.build();

            startForeground(1, servNotification);

            IntentFilter i = new IntentFilter("android.provider.Telephony.SMS_RECEIVED");
            i.setPriority(999);
            registerReceiver(mReceiver, i);



        }
        catch(Exception e) {
            Log.e("MYAPP", "exception", e);

        }



        return START_STICKY;

    }

    @Override
    public void onDestroy() {

       // Toast.makeText(this, "سرویس متوقف شد", Toast.LENGTH_SHORT).show();

    }

    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}