import React, { useState } from 'react';
import { View, ToastAndroid } from 'react-native';
import { Appbar, Text, ActivityIndicator, Colors, Button } from 'react-native-paper';

let timeout;

export const AppBar = ({ loading, onRefresh }) => {
	const [touch, setTouch] = useState(0);

	const onPress = () => {
		let _touch = touch;
		_touch += 1;
		setTouch(_touch);
		clearTimeout(timeout);
		timeout = setTimeout(() => {
			console.log('EGG is 0');
			setTouch(0);
		}, 1000);
	};

	const onLongPress = () => {
		if (touch >= 12) {
			setTouch(0);
			clearTimeout(timeout);
			ToastAndroid.show('!ROOT && Felfel', 3000);
		}
	};

	return (
		<Appbar style={{ paddingHorizontal: 16 }}>
			<Text
				onPress={onPress}
				onLongPress={onLongPress}
				style={{ color: 'white', fontFamily: 'font-bold', fontSize: 20 }}>
				کهکشان رایانه الوند
			</Text>
			<View style={{ flex: 1 }} />
			<ActivityIndicator animating={loading} color={Colors.white} />
			{!loading && <Appbar.Action icon="refresh" onPress={onRefresh} />}
		</Appbar>
	);
};
