import { PermissionsAndroid } from 'react-native';

export const usePermissionReadSMS = async () => {
	try {
		const granted = await PermissionsAndroid.request(PermissionsAndroid.PERMISSIONS.READ_SMS, {
			title: 'کهکشان رایانه الوند',
			message: 'ما نیازمند دسترسی به خواندن پیامک های شما هستیم.',
			buttonNeutral: 'خروج',
			buttonNegative: 'لغو',
			buttonPositive: 'تایید',
		});
		return granted === PermissionsAndroid.RESULTS.GRANTED;
	} catch (err) {
		console.error(err);
		return false;
	}
};

export const usePermissionSendSMS = async () => {
	try {
		const granted = await PermissionsAndroid.request(PermissionsAndroid.PERMISSIONS.SEND_SMS, {
			title: 'کهکشان رایانه الوند',
			message: 'ما نیازمند دسترسی به ارسال پیامک هستیم.',
			buttonNeutral: 'خروج',
			buttonNegative: 'لغو',
			buttonPositive: 'تایید',
		});
		return granted === PermissionsAndroid.RESULTS.GRANTED;
	} catch (err) {
		console.error(err);
		return false;
	}
};

export const usePermissionReceiveSMS = async () => {
	try {
		const granted = await PermissionsAndroid.request(PermissionsAndroid.PERMISSIONS.RECEIVE_SMS, {
			title: 'کهکشان رایانه الوند',
			message: 'ما نیازمند دسترسی به دریافت پیامک هستیم.',
			buttonNeutral: 'خروج',
			buttonNegative: 'لغو',
			buttonPositive: 'تایید',
		});
		return granted === PermissionsAndroid.RESULTS.GRANTED;
	} catch (err) {
		console.error(err);
		return false;
	}
};
