import SmsAndroid from '../module/sms';
// faker
import { FakeSMS } from '../fake/sms';

/**
 * Read SMS from past
 * @param {{ phone: string }}
 * @returns {Promise<{count: number, list: {_id: number, address: string, body: string}[] }>}
 */
export const useSMSRead = ({ phone }) => {
	return new Promise((resolve, reject) => {
		// if (__DEV__) {
		// 	return resolve({ count: FakeSMS.length, list: FakeSMS });
		// }

		const filter = {
			box: 'inbox',
			address: phone,
		};

		try {
			SmsAndroid.list(JSON.stringify(filter), reject, (count, list) => {
				resolve({ count, list: JSON.parse(list) });
			});
		} catch (error) {
			reject(error)
		}
	});
};
