import React from 'react';
import { Button, Dialog, Portal, Text } from 'react-native-paper';

export const DialogConfirm = ({ visible, onClose, data }) => {
	return (
		<Portal>
			<Dialog animationType="slide" transparent={true} visible={visible}>
				<Dialog.Title>{data ? data['title'] : ''}</Dialog.Title>

				<Dialog.Content>
					<Text>{data ? data['subtitle'] : ''}</Text>
				</Dialog.Content>

				<Dialog.Actions>
					<Button style={{ width: 50 }} onPress={() => onClose(false)} children="لغو" />
					<Button
						style={{ width: 70, marginLeft: 5 }}
						onPress={() => onClose(true)}
						mode="contained"
						children="تایید"
					/>
				</Dialog.Actions>
			</Dialog>
		</Portal>
	);
};
