import React from 'react';
import { View } from 'react-native';
import { Button, Dialog, Portal, Text, Checkbox } from 'react-native-paper';

export const DialogRedata = ({ visible, onClose }) => {
	const [checked, setChecked] = React.useState(false);

	const close = (value) => {
		onClose(value);
		setChecked(false);
	};

	return (
		<Portal>
			<Dialog animationType="slide" transparent={true} visible={visible}>
				<Dialog.Title>دریافت مجدد اطلاعات</Dialog.Title>

				<Dialog.Content>
					<Text>آیا می خواهید اطلاعات را مجددا دریافت کنید ؟</Text>

					<View
						style={{
							marginTop: 16,
							flexDirection: 'row',
							flexWrap: 'nowrap',
							alignItems: 'center',
						}}>
						<Checkbox
							status={checked ? 'checked' : 'unchecked'}
							onPress={() => setChecked(!checked)}
						/>

						<Text style={{ marginLeft: 12 }}>ارسال درخواست از طریق پیامک</Text>
					</View>
				</Dialog.Content>

				<Dialog.Actions>
					<Button style={{ width: 50 }} onPress={() => close(null)} children="لغو" />
					<Button
						style={{ width: 70, marginLeft: 5 }}
						onPress={() => close(checked)}
						mode="contained"
						children="تایید"
					/>
				</Dialog.Actions>
			</Dialog>
		</Portal>
	);
};
