import { createSlice } from '@reduxjs/toolkit';

const initialState = {
	active: -1,
	list: [],
	selected: -1, // index of list report
	reports: [], // list of reports from active sms
};

export const ReduxDeviceSlice = createSlice({
	name: 'device',
	initialState: initialState,
	reducers: {
		setActive: (state, action) => {
			state.active = action.payload;
			console.log('redux/active => ' + state.active);
		},
		setList: (state, action) => {
			state.list = action.payload;
		},
		setReports: (state, action) => {
			state.reports = action.payload;
		},
		setSelectedReport: (state, action) => {
			state.selected = action.payload;
		},
	},
});

export const ReduxDevice = ReduxDeviceSlice.actions;
