import React from 'react';
import { Linking, ScrollView, View, TouchableOpacity } from 'react-native';
// material
import { Card, Avatar, Text } from 'react-native-paper';
// database
import { AboutUS } from '../../database/about';

export const About = () => {
	const open = async (url) => {
		try {
			await Linking.openURL(url);
		} catch (error) {
			console.log(error);
		}
	};

	return (
		<ScrollView style={{ padding: 20 }}>
			<Card style={{ marginBottom: 20 }}>
				<Card.Content>
					<Text>{AboutUS.content}</Text>
				</Card.Content>
			</Card>
			<TouchableOpacity onPress={() => open(`geo:${AboutUS.location.join(',')}`)}>
				<Card style={{ marginBottom: 5 }}>
					<Card.Title
						title="آدرس"
						subtitle={AboutUS.address}
						left={(props) => <Avatar.Icon {...props} icon="map-marker-radius" />}
					/>
				</Card>
			</TouchableOpacity>
			<TouchableOpacity onPress={() => open('tel://' + AboutUS.phone)}>
				<Card style={{ marginBottom: 5 }}>
					<Card.Title
						title="شماره تماس"
						subtitle={AboutUS.phone}
						left={(props) => <Avatar.Icon {...props} icon="phone" />}
					/>
				</Card>
			</TouchableOpacity>
			<TouchableOpacity onPress={() => open(AboutUS.website)}>
				<Card style={{ marginBottom: 5 }}>
					<Card.Title
						title="وبسایت"
						subtitle={AboutUS.website}
						left={(props) => <Avatar.Icon {...props} icon="earth" />}
					/>
				</Card>
			</TouchableOpacity>
			<TouchableOpacity onPress={() => open('mailto://' + AboutUS.email)}>
				<Card style={{ marginBottom: 5 }}>
					<Card.Title
						title="آدرس ایمیل"
						subtitle={AboutUS.email}
						left={(props) => <Avatar.Icon {...props} icon="at" />}
					/>
				</Card>
			</TouchableOpacity>

			<View style={{ height: 100 }}></View>
		</ScrollView>
	);
};
